Index: build/Jamfile.v2
===================================================================
--- build/Jamfile.v2	(revision 443)
+++ build/Jamfile.v2	(working copy)
@@ -74,24 +74,27 @@
         sink_frontends.cpp
         text_ostream_backend.cpp
         text_file_backend.cpp
-        syslog_backend.cpp
         thread_specific.cpp
         trivial.cpp
-        platform_log_sources
     : ## requirements ##
         <define>BOOST_LOG_BUILDING_THE_LIB=1
     ;
+#BUG SYSLOG
+#        syslog_backend.cpp
+#        platform_log_sources
 
-lib boost_log_setup
-    : ## sources ##
-        parser_utils.cpp
-        init_from_stream.cpp
-        init_from_settings.cpp
-        filter_parser.cpp
-        formatter_parser.cpp
-    : ## requirements ##
-        <link>shared:<define>BOOST_LOG_SETUP_DLL
-        <define>BOOST_LOG_SETUP_BUILDING_THE_LIB=1
-        <library>boost_log
-        <library>/boost/regex//boost_regex
-    ;
+#BUG SETTING
+#lib boost_log_setup
+#    : ## sources ##
+#        parser_utils.cpp
+#        init_from_stream.cpp
+#        filter_parser.cpp
+#        formatter_parser.cpp
+#    : ## requirements ##
+#        <link>shared:<define>BOOST_LOG_SETUP_DLL
+#        <define>BOOST_LOG_SETUP_BUILDING_THE_LIB=1
+#        <library>boost_log
+#        <library>/boost/regex//boost_regex
+#    ;
+#
+#        init_from_settings.cpp
Index: example/basic_usage/Jamfile.v2
===================================================================
--- example/basic_usage/Jamfile.v2	(revision 443)
+++ example/basic_usage/Jamfile.v2	(working copy)
@@ -18,8 +18,9 @@
         <toolset>intel-win:<define>_CRT_SECURE_NO_WARNINGS
         <toolset>intel-win:<define>_CRT_SECURE_NO_DEPRECATE
         <toolset>gcc:<cxxflags>-fno-strict-aliasing  # avoids strict aliasing violations in other Boost components
-        <library>/boost/log//boost_log
-        <library>/boost/log//boost_log_setup
+        <library>/boost/log//boost_log
+        #BUG SETTING
+        #<library>/boost/log//boost_log_setup
         <library>/boost/date_time//boost_date_time
         <library>/boost/regex//boost_regex
         <library>/boost/filesystem//boost_filesystem
Index: example/Jamfile.v2
===================================================================
--- example/Jamfile.v2	(revision 443)
+++ example/Jamfile.v2	(working copy)
@@ -7,12 +7,15 @@
 
 build-project ./advanced_usage ;
 build-project ./async_log ;
-build-project ./basic_usage ;
+#BUG SETTING
+#build-project ./basic_usage ;
 build-project ./event_log ;
 build-project ./multiple_files ;
 build-project ./multiple_threads ;
 build-project ./rotating_file ;
-build-project ./settings_file ;
-build-project ./syslog ;
+#BUG SETTING
+#build-project ./settings_file ;
+#BUG SYSLOG
+#build-project ./syslog ;
 build-project ./trivial ;
 build-project ./xml_file ;
Index: example/settings_file/Jamfile.v2
===================================================================
--- example/settings_file/Jamfile.v2	(revision 443)
+++ example/settings_file/Jamfile.v2	(working copy)
@@ -19,7 +19,8 @@
         <toolset>intel-win:<define>_CRT_SECURE_NO_DEPRECATE
         <toolset>gcc:<cxxflags>-fno-strict-aliasing  # avoids strict aliasing violations in other Boost components
         <library>/boost/log//boost_log
-        <library>/boost/log//boost_log_setup
+        #BUG SETTING
+        #<library>/boost/log//boost_log_setup
         <library>/boost/date_time//boost_date_time
         <library>/boost/regex//boost_regex
         <library>/boost/filesystem//boost_filesystem
Index: src/text_file_backend.cpp
===================================================================
--- src/text_file_backend.cpp	(revision 443)
+++ src/text_file_backend.cpp	(working copy)
@@ -123,7 +123,10 @@
     const file_char_traits< char >::char_type file_char_traits< char >::dot;
     const file_char_traits< char >::char_type file_char_traits< char >::newline;
 #endif // BOOST_LOG_BROKEN_STATIC_CONSTANTS_LINKAGE
-
+
+//BUG WCHAR 
+#ifdef BOOST_LOG_USE_WCHAR_T
+    
     template< >
     struct file_char_traits< wchar_t >
     {
@@ -168,6 +171,8 @@
     const file_char_traits< wchar_t >::char_type file_char_traits< wchar_t >::dot;
     const file_char_traits< wchar_t >::char_type file_char_traits< wchar_t >::newline;
 #endif // BOOST_LOG_BROKEN_STATIC_CONSTANTS_LINKAGE
+//BUG WCHAR 
+#endif
 
     //! Date and time formatter
     class date_and_time_formatter
Index: test/run/util_string_literal.cpp
===================================================================
--- test/run/util_string_literal.cpp	(revision 443)
+++ test/run/util_string_literal.cpp	(working copy)
@@ -43,6 +43,8 @@
         BOOST_CHECK(strcmp(lit.c_str(), "abcd") == 0);
     }
 
+//BUG WCHAR 
+#ifdef BOOST_LOG_USE_WCHAR_T
     // Copying
     {
         logging::wstring_literal lit1 = L"Hello";
@@ -50,14 +52,20 @@
         BOOST_CHECK(wcscmp(lit2.c_str(), L"Hello") == 0);
         BOOST_CHECK(wcscmp(lit1.c_str(), lit2.c_str()) == 0);
     }
+//BUG WCHAR 
+#endif
 
     // Generator functions
     {
         logging::string_literal lit1 = logging::str_literal("Wow!");
         BOOST_CHECK(strcmp(lit1.c_str(), "Wow!") == 0);
 
-        logging::wstring_literal lit2 = logging::str_literal(L"Wow!");
-        BOOST_CHECK(wcscmp(lit2.c_str(), L"Wow!") == 0);
+//BUG WCHAR 
+#ifdef BOOST_LOG_USE_WCHAR_T
+        logging::wstring_literal lit2 = logging::str_literal(L"Wow!");
+        BOOST_CHECK(wcscmp(lit2.c_str(), L"Wow!") == 0);
+//BUG WCHAR 
+#endif
     }
 }
 