Index: boost/logging/format/destination/syslog.hpp
===================================================================
--- boost/logging/format/destination/syslog.hpp	(Revision 43174)
+++ boost/logging/format/destination/syslog.hpp	(Arbeitskopie)
@@ -25,6 +25,7 @@
 #include <boost/logging/detail/manipulator.hpp>
 #include <boost/logging/format/destination/convert_destination.hpp>
 #include <boost/logging/format/destination/file.hpp>
+#include <boost/logging/format/formatter/tags.hpp> // uses_tag
 #include <boost/logging/detail/level.hpp>
 #include <syslog.h>
 
@@ -57,7 +58,7 @@
 
 See @ref boost::logging::tag "how to use tags".
 */
-template<class convert = do_convert_format::prepend> struct syslog_t : is_generic, uses_tag< level_t<convert>, ::boost::logging::tag::level >, boost::logging::op_equal::always_equal  {
+template<class convert = formatter::do_convert_format::prepend> struct syslog_t : is_generic, formatter::uses_tag< formatter::tag::level_t<convert>, ::boost::logging::tag::level >, boost::logging::op_equal::always_equal  {
     typedef convert convert_type;
     template<class msg_type, class tag_type> void write_tag(msg_type & str, const tag_type & tag) const {
         syslog( level_to_syslog_level(tag.val) , as_string(str).c_str() );
@@ -72,7 +73,7 @@
         if ( level <= level::info)
             return LOG_INFO;
         if ( level <= level::warning)
-            return LOG_WARN;
+            return LOG_WARNING;
         if ( level <= level::error)
             return LOG_ERR;
         if  ( level <= level::fatal)
Index: boost/logging/format/destination/convert_destination.hpp
===================================================================
--- boost/logging/format/destination/convert_destination.hpp	(Revision 43174)
+++ boost/logging/format/destination/convert_destination.hpp	(Arbeitskopie)
@@ -57,8 +57,8 @@
         out << m;
     }
 
-    template<class string_, class p1, class p2, class p3, class p4, class p5, class p6, class p7, class p8, class p9, class p10, class char_type, class char_traits> void write(const ::boost::logging::tag::holder<string_,p1,p2,p3,p4,p5,p6,p7,p8,p9,p10> & src, std::basic_ostream<char_type, char_traits> & out ) {
-        typedef typename ::boost::logging::tag::holder<string_,p1,p2,p3,p4,p5,p6,p7,p8,p9,p10>::string_type string_type;
+    template<class string_, class p1, class p2, class p3, class p4, class p5, class p6, class p7, class p8, class p9, class p10, class char_type, class char_traits> void write(const ::boost::logging::destination::tag::holder<string_,p1,p2,p3,p4,p5,p6,p7,p8,p9,p10> & src, std::basic_ostream<char_type, char_traits> & out ) {
+        typedef typename ::boost::logging::destination::tag::holder<string_,p1,p2,p3,p4,p5,p6,p7,p8,p9,p10>::string_type string_type;
         out << (const string_type&)src;
     }
 
Index: boost/logging/format/destination/rolling_file.hpp
===================================================================
--- boost/logging/format/destination/rolling_file.hpp	(Revision 43174)
+++ boost/logging/format/destination/rolling_file.hpp	(Arbeitskopie)
@@ -98,7 +98,7 @@
             if ( m_flags.start_where_size_not_exceeded() ) {
                 for ( m_cur_idx = 0; m_cur_idx < m_flags.file_count(); ++m_cur_idx )
                     if ( fs::exists( file_name(m_cur_idx) )) {
-                        if ( fs::file_size( file_name(m_cur_idx))  < m_flags.max_size_bytes() )
+                        if ( static_cast<int>(fs::file_size( file_name(m_cur_idx)))  < m_flags.max_size_bytes() )
                             // file hasn't reached max size
                             break;
                     }
@@ -128,7 +128,7 @@
             namespace fs = boost::filesystem;
             m_out = boost::shared_ptr< std::basic_ofstream<char_type> >(new std::basic_ofstream<char_type>( file_name(m_cur_idx).c_str(),
                 m_flags.extra_flags() | std::ios_base::out | std::ios_base::app));
-            if ( fs::file_size( file_name(m_cur_idx)) > m_flags.max_size_bytes()) {
+            if ( static_cast<int>(fs::file_size( file_name(m_cur_idx))) > m_flags.max_size_bytes()) {
                 // this file is already full - clear it first
                 m_out = boost::shared_ptr< std::basic_ofstream<char_type> >(new std::basic_ofstream<char_type>( file_name(m_cur_idx).c_str(),
                     m_flags.extra_flags() | std::ios_base::out | std::ios_base::trunc));
Index: libs/logging/tests/test_ts_resouce_with_cache/test_ts_resource.cpp
===================================================================
--- libs/logging/tests/test_ts_resouce_with_cache/test_ts_resource.cpp	(Revision 43174)
+++ libs/logging/tests/test_ts_resouce_with_cache/test_ts_resource.cpp	(Arbeitskopie)
@@ -166,7 +166,7 @@
 }
 
 
-void test_resource(int idx) {
+void test_resource(int /*idx*/) {
     array cur_val ;
     {
     resource::read res(g_resource);
Index: libs/logging/tests/test_rolling_file/test.cpp
===================================================================
--- libs/logging/tests/test_rolling_file/test.cpp	(Revision 43174)
+++ libs/logging/tests/test_rolling_file/test.cpp	(Arbeitskopie)
@@ -148,9 +148,9 @@
     while ( std::getline(in, line, NEXT_LINE) ) {
         g_blocks[cur_block] += line + NEXT_LINE;
 
-        if ( g_blocks[cur_block].size() > MAX_SIZE_PER_FILE) {
+        if ( g_blocks[cur_block].size() > static_cast<unsigned int>(MAX_SIZE_PER_FILE)) {
             cur_block = (cur_block + 1) % FILE_COUNT;
-            if ( g_blocks[cur_block].size() > MAX_SIZE_PER_FILE)
+            if ( g_blocks[cur_block].size() > static_cast<unsigned int>(MAX_SIZE_PER_FILE))
                 // we've rolled to a new file - clear it first
                 g_blocks[cur_block].clear();
         }
@@ -222,9 +222,9 @@
     while ( std::getline(in, line, NEXT_LINE) ) {
         g_blocks[cur_block] += line + NEXT_LINE;
 
-        if ( g_blocks[cur_block].size() > MAX_SIZE_PER_FILE) {
+        if ( g_blocks[cur_block].size() > static_cast<unsigned int>(MAX_SIZE_PER_FILE)) {
             cur_block = (cur_block + 1) % FILE_COUNT;
-            if ( g_blocks[cur_block].size() > MAX_SIZE_PER_FILE)
+            if ( g_blocks[cur_block].size() > static_cast<unsigned int>(MAX_SIZE_PER_FILE))
                 // we've rolled to a new file - clear it first
                 g_blocks[cur_block].clear();
         }
Index: libs/logging/samples/compile_time/main.cpp
===================================================================
--- libs/logging/samples/compile_time/main.cpp	(Revision 43174)
+++ libs/logging/samples/compile_time/main.cpp	(Arbeitskopie)
@@ -32,7 +32,7 @@
 #include <iostream>
 
 
-int main(int argc, char * argv[])  
+int main(int, char *[])  
 {
 	return 0;
 }
Index: libs/logging/samples/compile_time/log.h
===================================================================
--- libs/logging/samples/compile_time/log.h	(Revision 43174)
+++ libs/logging/samples/compile_time/log.h	(Arbeitskopie)
@@ -19,7 +19,7 @@
 #ifndef COMPILE_WITHOUT_LOG
 
 #include <boost/logging/format_fwd.hpp>
-#include <boost/logging/tags.hpp>
+#include <boost/logging/format/formatter/tags.hpp>
 
 // Step 1: Optimize : use tags (on top of a cache string, to make formatting the message faster)
 namespace bl = boost::logging;
Index: libs/logging/samples/dll_and_exe/the_exe/the_exe.cpp
===================================================================
--- libs/logging/samples/dll_and_exe/the_exe/the_exe.cpp	(Revision 43174)
+++ libs/logging/samples/dll_and_exe/the_exe/the_exe.cpp	(Arbeitskopie)
@@ -19,7 +19,7 @@
 #include "log.h"
 
 
-int main(int argc, char* argv[])
+int main(int, char* [])
 {
     int i = 0;
     L_EXE_ << "beginning of exe log" << ++i;